Subject: Re: linux-next: build failure after merge of the drm

From: Thomas Hellström <[email-masked]>
Date: Thu, 04 Jul 2024 09:02:21 +0200

Hi

On Wed, 2024-07-03 at 13:46 +0200, Michal Wajdeczko wrote:
> + Rodrigo for help
> 
> On 03.07.2024 04:36, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Fri, 28 Jun 2024 18:03:39 +0100 Mark Brown <[email-masked]>
> > wrote:
> > > 
> > > After merging the drm tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > /tmp/next/build/drivers/gpu/drm/xe/xe_gt_sriov_pf_config.c: In
> > > function 'pf_get_threshold':
> > > /tmp/next/build/drivers/gpu/drm/xe/xe_gt_sriov_pf_config.c:1788:2
> > > 7: error: unused variable 'xe' [-Werror=unused-variable]
> > >  1788 |         struct xe_device *xe = gt_to_xe(gt);
> > >       |                           ^~
> > > cc1: all warnings being treated as errors
> > > 
> > > Caused by commit
> > > 
> > >   629df234bfe73d ("drm/xe/pf: Introduce functions to configure VF
> > > thresholds")
> > > 
> > > I have used the tree from 20240627 instead.
> > 
> > I am still seeing that build failure.
> > 

I see that git for an unknown reason introduces this line as an
automatic resolve merging drm-next into the drm-tip build. Later there
was a manual fixup for this after merging another branch into drm-tip
but that's too late.

So I've added a manual fixup to drm-rerere to remove this line just
after the merge that somehow introduces it.

/Thomas